Foxit PDF SDK

Instance Methods | Properties | List of all members
FSTXT2PDFSettingData Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithPage_width:page_height:page_margin:font:text_size:text_color:linespace:is_break_page:
| Constructor, with parameters. More...
(void) | - set:page_height:page_margin:font:text_size:text_color:linespace:is_break_page:
| Set value. More...

## Properties
FSFont * | font
| A font object.
BOOL | is_break_page
| Used to decide whether to insert a page break in converted PDF document when meeting character 0x0c.
float | linespace
| Line spacing. If valid, it should be above 0.
float | page_height
| Page height used for the converted PDF document.
FSRectF * | page_margin
| Page margin used for converted PDF document. More...
float | page_width
| Page width used for the converted PDF document.
unsigned int | text_color
| Font color.
float | text_size
| Font size. If valid, it should be above 0.

## Detailed Description

This class represents setting data used for converting TXT to PDF.

## Method Documentation

## ◆ initWithPage_width:page_height:page_margin:font:text_size:text_color:linespace:is_break_page:()

- (id) initWithPage_width: |  | (float) | page_width
page_height: |  | (float) | page_height
page_margin: |  | (FSRectF*) | page_margin
font: |  | (FSFont*) | font
text_size: |  | (float) | text_size
text_color: |  | (unsigned int) | text_color
linespace: |  | (float) | linespace
is_break_page: |  | (BOOL) | is_break_page

Constructor, with parameters.

Parameters

  [in] | page_width | Page width used for the converted PDF document.
  [in] | page_height | Page height used for the converted PDF document.
  [in] | page_margin | Page margin used for converted PDF document.
  [in] | font | Font object used for converted PDF document.
  [in] | text_size | Font size used for converted PDF document.
  [in] | text_color | Font color used for converted PDF document.
  [in] | linespace | Line space used for converted PDF document.
  [in] | is_break_page | Used to decide whether to insert a page break in converted PDF document when meeting character 0x0c.

Returns
  None.

## ◆ set:page_height:page_margin:font:text_size:text_color:linespace:is_break_page:()

- (void) set: |  | (float) | page_width
page_height: |  | (float) | page_height
page_margin: |  | (FSRectF*) | page_margin
font: |  | (FSFont*) | font
text_size: |  | (float) | text_size
text_color: |  | (unsigned int) | text_color
linespace: |  | (float) | linespace
is_break_page: |  | (BOOL) | is_break_page

Set value.

Parameters

  [in] | page_width | Page width used for the converted PDF document.
  [in] | page_height | Page height used for the converted PDF document.
  [in] | page_margin | Page margin used for converted PDF document.
  [in] | font | Font object used for converted PDF document.
  [in] | text_size | Font size used for converted PDF document.
  [in] | text_color | Font color used for converted PDF document.
  [in] | linespace | Line space used for converted PDF document.
  [in] | is_break_page | Used to decide whether to insert a page break in converted PDF document when meeting character 0x0c.

Returns
  None.

## Property Documentation

## ◆ page_margin

- (FSRectF *) page_margin
| read write nonatomic weak

Page margin used for converted PDF document.

Note
  This value does not represent a rectangle. It just defines the left margin, bottom margin, right margin and top margin of a PDF page.